<div>
  <h2>Lista de pacientes</h2>
  <table class="table-custom">
    <thead>
      <tr>
        <th>id</th>
        <th>nss</th>
        <th>numTarjeta</th>
        <th>telefono</th>
        <th>direccion</th>
        <th>accion</th>
      </tr>
    </thead>
    <tbody>
      <tr *ngFor="let paciente of pacientes">
        <td>{{paciente.id}}</td>
        <td>{{paciente.nss}}</td>
        <td>{{paciente.numTarjeta}}</td>
        <td>{{paciente.telefono}}</td>
        <td>{{paciente.direccion}}</td>
        <td>
          <button (click)="editPaciente(paciente.id)">Editar</button>
          <button (click)="deletePaciente(paciente.id)">Eliminar</button>
        </td>
      </tr>
    </tbody>
  </table>
</div>
